<div class="posts" *ngIf="posts$|async as posts;else loading">
   <app-post *ngFor="let post of posts" [post]="post"></app-post>
</div>
<ng-template #loading>
   <p>Загрузка постов ...</p>
</ng-template>